import { _load } from '../../util/loader.js';
import { getPackageNameFromModuleSpecifier } from '../../util/modules.js';
import { timerify } from '../../util/performance.js';
import { hasDependency } from '../../util/plugin.js';
export const NAME = 'cspell';
export const ENABLERS = ['cspell'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = [
    'cspell.config.{js,cjs,json,yaml,yml}',
    'cspell.{json,yaml,yml}',
    '.c{s,S}pell.json',
    'cSpell.json',
];
const findPluginDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    const imports = config?.import ?? [];
    return imports.map(getPackageNameFromModuleSpecifier);
};
export const findDependencies = timerify(findPluginDependencies);
