import chalk from 'chalk';
import { ISSUE_TYPE_TITLE } from '../constants.js';
import { relativePosix } from '../util/path.js';
export const getTitle = (reportType) => {
    return ISSUE_TYPE_TITLE[reportType];
};
export const logTitle = (title, count) => console.log(`${chalk.bold.yellow.underline(title)} (${count})`);
export const logIssueLine = ({ owner, filePath, symbols, parentSymbol }) => {
    const symbol = symbols ? `: ${symbols.join(', ')}` : '';
    const parent = parentSymbol ? ` (${parentSymbol})` : '';
    console.log(`${owner ? `${chalk.cyan(owner)} ` : ''}${relativePosix(filePath)}${symbol}${parent}`);
};
export const logIssueSet = (issues) => {
    issues.sort().forEach(value => console.log(value.startsWith('/') ? relativePosix(value) : value));
};
